Payments APIInstitutions
Get institution details
Fetch particular institution details.
Authorization
Bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Identifier of the institution.
Format
uuidid*string
Identifier of the institution
Format
uuidHeader Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
X-Volt-Initiation-Channel*string
Channel used for payment initiation flow.
Value in
- "api"
- "hosted"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/institutions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1" \ -H "X-Volt-Initiation-Channel: api"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "country": "DE", "name": "Sparkasse Nienburg", "localName": "Sparkasse Nienburg", "alternativeName": null, "group": { "name": "Sparkasse", "localName": "Sparkasse" }, "branch": { "name": "Nienburg", "localName": "Nienburg" }, "nationalId": "25650106", "assets": { "icon": "http://cdn.example.com/assets/bank.svg", "logo": "http://cdn.example.com/assets/bank.svg" }, "types": [ "BUSINESS" ], "capabilities": { "payments": { "active": true, "accountIdentifiersRequired": [ "IBAN" ], "additionalDataRequired": [], "communication": { "appToApp": "SUPPORTED" } } }}{ "code": "MISSING_HTTP_HEADER", "message": "Missing \"X-Volt-Initiation-Channel\" HTTP header."}{ "code": "UNAUTHORISED", "message": "Unauthorised."}{ "code": "ACCESS_DENIED", "message": "Access denied."}{ "code": "RESOURCE_NOT_FOUND", "message": "Not found."}{ "code": "INTERNAL_SERVER_ERROR", "message": "Something went wrong. Please, contact support. TraceId: b8cfd344-093c-4b8c-8fd4-f0e406060c3c. Timestamp: 1723193467."}